play.utils

## Class PThreadFactory

- java.lang.Object
- - play.utils.PThreadFactory

All Implemented Interfaces:
  java.util.concurrent.ThreadFactory

    public class PThreadFactory
    extends java.lang.Object
    implements java.util.concurrent.ThreadFactory

### Constructor Summary

Constructors
Constructor and Description
`PThreadFactory(java.lang.String poolName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Thread` `newThread(java.lang.Runnable r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PThreadFactory

    public PThreadFactory(java.lang.String poolName)

### Method Detail

#### newThread

    public java.lang.Thread newThread(java.lang.Runnable r)

Specified by:
  `newThread` in interface `java.util.concurrent.ThreadFactory`